| DocBook: The Definitive Guide Version 2.0.8 (Alpha)

# audioobject

$Revision: 1.3 $

$Date: 2002/06/12 11:18:00 $

audioobject — A wrapper for audio data and its associated meta-information

## Synopsis

### Content Model

    audioobject ::=
    (objectinfo?,audiodata)

### Attributes

Common attributes

## Description

`AudioObject` is a wrapper for `AudioData`.

### Processing expectations

Its content is rendered aurally or not at all. It might not be rendered, depending on its placement within a `MediaObject` or `InlineMediaObject` and the constraints on the publishing system. For a more detailed description of the semantics involved, see `MediaObject`.

### Parents

These elements contain audioobject: `inlinemediaobject`, `mediaobject`.

### Children

The following elements occur in audioobject: `audiodata`, `objectinfo`.

## See Also

`alt`, `caption`, `graphic`, `imageobject`, `inlinegraphic`, `inlinemediaobject`, `mediaobject`, `textobject`, `videoobject`.

## Examples

    <!DOCTYPE mediaobject PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
              "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <mediaobject>
    <audioobject>
      <objectinfo>
        <title>Phaser sound effect</title>
      </objectinfo>
      <audiodata fileref="phaser.wav"/>
    </audioobject>
    <textobject>
    <phrase>A <trademark>Star Trek</trademark> phaser sound effect</phrase>
    </textobject>
    </mediaobject>

audiodata |  | author

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.